libdap::XDRStreamUnMarshaller Class Reference

unmarshaller that knows how to unmarshall/deserialize dap objects using XDR from a file More...

`#include <XDRStreamUnMarshaller.h>`

Inheritance diagram for libdap::XDRStreamUnMarshaller:

## Public Member Functions

virtual void | dump (ostream &strm) const
| dump the contents of this object to the specified ostream
virtual void | get_byte (dods_byte &val)
virtual void | get_float32 (dods_float32 &val)
virtual void | get_float64 (dods_float64 &val)
virtual void | get_int (int &val)
virtual void | get_int16 (dods_int16 &val)
virtual void | get_int32 (dods_int32 &val)
virtual void | get_opaque (char *val, unsigned int len)
virtual void | get_str (string &val)
virtual void | get_uint16 (dods_uint16 &val)
virtual void | get_uint32 (dods_uint32 &val)
virtual void | get_url (string &val)
virtual void | get_vector (char **val, unsigned int &num, int width, Type type)
virtual void | get_vector (char **val, unsigned int &num, int width, Vector &vec)
virtual void | get_vector (char **val, unsigned int &num, Vector &vec)
| XDRStreamUnMarshaller (istream &in)

## Detailed Description

unmarshaller that knows how to unmarshall/deserialize dap objects using XDR from a file

Definition at line 53 of file XDRStreamUnMarshaller.h.

## Constructor & Destructor Documentation

## XDRStreamUnMarshaller()

libdap::XDRStreamUnMarshaller::XDRStreamUnMarshaller | ( | istream & | in | ) |

Definition at line 53 of file XDRStreamUnMarshaller.cc.

## ~XDRStreamUnMarshaller()

libdap::XDRStreamUnMarshaller::~XDRStreamUnMarshaller | ( |  | ) |

virtual

Definition at line 78 of file XDRStreamUnMarshaller.cc.

## Member Function Documentation

## dump()

void libdap::XDRStreamUnMarshaller::dump | ( | ostream & | strm | ) | const

virtual

dump the contents of this object to the specified ostream

This method is implemented by all derived classes to dump their contents, in other words, any state they might have, private variables, etc...

Parameters

  strm | C++ i/o stream to dump the object to

Implements libdap::UnMarshaller.

Definition at line 308 of file XDRStreamUnMarshaller.cc.

## get_byte()

void libdap::XDRStreamUnMarshaller::get_byte | ( | dods_byte & | val | ) |

virtual

Implements libdap::UnMarshaller.

Definition at line 83 of file XDRStreamUnMarshaller.cc.

## get_float32()

void libdap::XDRStreamUnMarshaller::get_float32 | ( | dods_float32 & | val | ) |

virtual

Implements libdap::UnMarshaller.

Definition at line 123 of file XDRStreamUnMarshaller.cc.

## get_float64()

void libdap::XDRStreamUnMarshaller::get_float64 | ( | dods_float64 & | val | ) |

virtual

Implements libdap::UnMarshaller.

Definition at line 131 of file XDRStreamUnMarshaller.cc.

## get_int()

void libdap::XDRStreamUnMarshaller::get_int | ( | int & | val | ) |

virtual

Implements libdap::UnMarshaller.

Definition at line 218 of file XDRStreamUnMarshaller.cc.

## get_int16()

void libdap::XDRStreamUnMarshaller::get_int16 | ( | dods_int16 & | val | ) |

virtual

Implements libdap::UnMarshaller.

Definition at line 107 of file XDRStreamUnMarshaller.cc.

## get_int32()

void libdap::XDRStreamUnMarshaller::get_int32 | ( | dods_int32 & | val | ) |

virtual

Implements libdap::UnMarshaller.

Definition at line 115 of file XDRStreamUnMarshaller.cc.

## get_opaque()

void libdap::XDRStreamUnMarshaller::get_opaque | ( | char * | val,
|  | unsigned int | len
| ) |  |

virtual

Implements libdap::UnMarshaller.

Definition at line 204 of file XDRStreamUnMarshaller.cc.

## get_str()

void libdap::XDRStreamUnMarshaller::get_str | ( | string & | val | ) |

virtual

Implements libdap::UnMarshaller.

Definition at line 155 of file XDRStreamUnMarshaller.cc.

## get_uint16()

void libdap::XDRStreamUnMarshaller::get_uint16 | ( | dods_uint16 & | val | ) |

virtual

Implements libdap::UnMarshaller.

Definition at line 139 of file XDRStreamUnMarshaller.cc.

## get_uint32()

void libdap::XDRStreamUnMarshaller::get_uint32 | ( | dods_uint32 & | val | ) |

virtual

Implements libdap::UnMarshaller.

Definition at line 147 of file XDRStreamUnMarshaller.cc.

## get_url()

void libdap::XDRStreamUnMarshaller::get_url | ( | string & | val | ) |

virtual

Implements libdap::UnMarshaller.

Definition at line 202 of file XDRStreamUnMarshaller.cc.

## get_vector() [1/3]

void libdap::XDRStreamUnMarshaller::get_vector | ( | char ** | val,
|  | unsigned int & | num,
|  | int | width,
|  | Type | type
| ) |  |

virtual

Definition at line 270 of file XDRStreamUnMarshaller.cc.

## get_vector() [2/3]

void libdap::XDRStreamUnMarshaller::get_vector | ( | char ** | val,
|  | unsigned int & | num,
|  | int | width,
|  | Vector & | vec
| ) |  |

virtual

Implements libdap::UnMarshaller.

Definition at line 266 of file XDRStreamUnMarshaller.cc.

## get_vector() [3/3]

void libdap::XDRStreamUnMarshaller::get_vector | ( | char ** | val,
|  | unsigned int & | num,
|  | Vector & | vec
| ) |  |

virtual

Implements libdap::UnMarshaller.

Definition at line 228 of file XDRStreamUnMarshaller.cc.

The documentation for this class was generated from the following files:

- XDRStreamUnMarshaller.h
- XDRStreamUnMarshaller.cc